package com.docus.server.synclis.service;

import com.docus.server.archive.entity.TBasic;

/**
 * @author YongBin Wen
 * @date 2025/1/16 15:06
 */
public interface LisService {
    /**
     * 同步视图任务
     *
     * @param tBasic 患者信息
     */
    void syncViewTask(TBasic tBasic);

    /**
     * 同步完整任务
     *
     * @param tBasic 患者信息
     */
    void syncFullTask(TBasic tBasic);

    /**
     * 修订门诊任务，将任务和文件作废
     * @param tbasic 患者信息
     */
    void revisionMzTaskAndFile(TBasic tbasic);
}
